<app-loading *ngIf="isLoading"></app-loading>
<div nz-row [nzGutter]="[30, 10]" class="content">
<!--  <div nz-col nzSm="24" nzXs="24" nzLg="12" nzMd="12">-->

<!--    <mb-button mbButtonSize="MEDIUM" mbButtonText="Tải biểu mẫu" mbButtonTextColor="#141ED2"-->
<!--               (click)="showModalUploadFile(footerTmplUploadFile)"-->
<!--                >-->
<!--    </mb-button>-->
<!--    <mb-button mbButtonSize="MEDIUM" mbButtonText="Tải biểu mẫu" mbButtonTextColor="#141ED2"-->
<!--               (click)="showModalUploadFile(footerTmplUploadFile)"-->
<!--               *ngIf="objFunction?.import">-->
<!--    </mb-button>-->
<!--  </div>-->
  <div nz-col nzSm="24" nzXs="24" nzLg="12" nzMd="12" *ngIf="objFunction?.create">
    <mb-button
      mbButtonSize='MEDIUM'
      mbButtonAvailableStyle='PRIMARY'
      mbButtonText="{{'common.button.add' | translate}}"
      (click)="showModalAdd(footerTmpl)"
    ></mb-button>
  </div>
</div>

<!--<ng-template #footerTmplUploadFile>-->
<!--  <section class="flex-footer__uploadfile">-->
<!--    <mb-button mbButtonType="NO_BORDER" mbButtonSize="VERY_LARGE" (click)="modalRef.getContentComponent().save()"-->
<!--               mbButtonAvailableStyle="PRIMARY" mbButtonText="{{'polManagement.button.btnSaveFile' | translate}}"></mb-button>-->
<!--    <mb-button mbButtonAvailableStyle="BtnCancelHasBorder"-->
<!--               mbButtonText="{{'polManagement.button.btnCancel' | translate}}" (click)="modalRef?.destroy()"-->
<!--               class="flex-footer__uploadfile&#45;&#45;button-left"></mb-button>-->
<!--  </section>-->
<!--</ng-template>-->

<!--form search-->
<nz-card class="main-job-card">
  <app-mb-employee-info [isSaveToService]="true" [isDisableListReceiving]="false" [functionCode]="functionCode" (selectEmployee)="onReSearch($event)" [type]="'SALARY'"></app-mb-employee-info>
</nz-card>

<!--table-->
<div class='search__content--group'>
  <mb-table-wrap>
    <mb-table
      [heightTable]="heightTable"
      (changePageNum)='doSearch($event)'
      [tableConfig]='tableConfig'
      [tableData]='searchResult'
      (onDblClickNode)='onDoubleClickView($event, footerTmpl)'
    ></mb-table>
  </mb-table-wrap>
</div>


<ng-template #actionTmpl let-prAllowanceExtendListId="prAllowanceExtendListId" let-fromDate='fromDate'>
  <section class="d-flex">
    <mb-button
      mbButtonAvailableStyle='CONTENT'
      (click)="showModalUpdate(prAllowanceExtendListId, footerTmpl, fromDate, false)">
      <img src="../../../../../assets/images/icon/edit.png" alt='edit' width="18" height="18"
           nz-tooltip nzTooltipTitle="{{'polManagement.label.edit' | translate}}" nzTooltipPlacement="bottom">
    </mb-button>
    <mb-button
      *ngIf="objFunction?.delete"
      mbButtonAvailableStyle='CONTENT'
               (click)="deleteItem(prAllowanceExtendListId, fromDate)">
      <img src="../../../../../assets/images/icon/delete-icon.svg" alt='delete'
           nz-tooltip nzTooltipTitle="{{'polManagement.label.delete' | translate}}" nzTooltipPlacement="bottom">
    </mb-button>
  </section>
</ng-template>

<ng-template #footerTmpl>
  <mb-button *ngIf="!typeShowDetail" mbButtonAvailableStyle="BtnCancelHasBorder" mbButtonText="{{'common.button.cancel' | translate}}" (click)="modalRef.destroy()">
  </mb-button>
  <mb-button
    *ngIf="objFunction?.edit && !typeShowDetail"
    mbButtonType="NO_BORDER" mbButtonSize="LARGE"
             (click)="modalRef.getContentComponent().save()" mbButtonAvailableStyle="PRIMARY" mbButtonText="{{'common.button.save' | translate}}">
  </mb-button>
</ng-template>

<ng-template #actionFlagStatus let-flagStatus="flagStatus">
  <nz-tag [nzColor]="renderFlagStatus(flagStatus).class">
    {{renderFlagStatus(flagStatus).text}}
  </nz-tag>
</ng-template>

<ng-template #tplTranFormDate let-fromDate="fromDate">
  {{ fromDate | dateFormat}}
</ng-template>
<ng-template #tplTranToDate let-toDate="toDate">
  {{ toDate | dateFormat}}
</ng-template>

